"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lwc_module_provider_1 = __importDefault(require("@lwrjs/lwc-module-provider"));
const path_1 = __importDefault(require("path"));
class CustomLwcModuleProvider extends lwc_module_provider_1.default {
    constructor(options, context) {
        const newRootDir = path_1.default.resolve(`${__dirname}/../../`);
        const newContext = {
            compiler: context.compiler,
            appObserver: context.appObserver,
            appEmitter: context.appEmitter,
            moduleRegistry: context.moduleRegistry,
            resourceRegistry: context.resourceRegistry,
            viewRegistry: context.viewRegistry,
            assetRegistry: context.assetRegistry,
            config: {
                modules: context.config.modules,
                routes: context.config.routes,
                errorRoutes: context.config.errorRoutes,
                rootDir: newRootDir,
                contentDir: context.config.contentDir,
                layoutsDir: context.config.layoutsDir,
                cacheDir: context.config.cacheDir
            },
            runtimeEnvironment: context.runtimeEnvironment
        };
        super(options, newContext);
        this.name = 'custom-lwc-module-provider';
    }
    async getModuleEntry(moduleId) {
        try {
            const result = await super.getModuleEntry(moduleId);
            return Promise.resolve(result);
        }
        catch {
            return Promise.resolve(undefined);
        }
    }
}
exports.default = CustomLwcModuleProvider;
//# sourceMappingURL=CustomLwcModuleProvider.js.map